/* Automatically generated function declarations for the Data API.
 * Do not edit manually, changes will be overwritten.              */

extern struct StructRNA RNA_Struct;
extern struct StructRNA RNA_Property;
extern struct StructRNA RNA_BoolProperty;
extern struct StructRNA RNA_IntProperty;
extern struct StructRNA RNA_FloatProperty;
extern struct StructRNA RNA_StringProperty;
extern struct StructRNA RNA_EnumProperty;
extern struct StructRNA RNA_EnumPropertyItem;
extern struct StructRNA RNA_PointerProperty;
extern struct StructRNA RNA_CollectionProperty;
extern struct StructRNA RNA_Function;
extern struct StructRNA RNA_BlenderRNA;
extern struct StructRNA RNA_UnknownType;
extern struct StructRNA RNA_AnyType;
extern struct StructRNA RNA_ID;
extern struct StructRNA RNA_IDOverrideLibrary;
extern struct StructRNA RNA_IDOverrideLibraryProperties;
extern struct StructRNA RNA_IDOverrideLibraryProperty;
extern struct StructRNA RNA_IDOverrideLibraryPropertyOperations;
extern struct StructRNA RNA_IDOverrideLibraryPropertyOperation;
extern struct StructRNA RNA_ImagePreview;
extern struct StructRNA RNA_PropertyGroupItem;
extern struct StructRNA RNA_PropertyGroup;
extern struct StructRNA RNA_IDMaterials;
extern struct StructRNA RNA_Library;
extern struct StructRNA RNA_LibraryWeakReference;
extern struct StructRNA RNA_IDPropertyWrapPtr;
extern struct StructRNA RNA_Texture;
extern struct StructRNA RNA_CloudsTexture;
extern struct StructRNA RNA_WoodTexture;
extern struct StructRNA RNA_MarbleTexture;
extern struct StructRNA RNA_MagicTexture;
extern struct StructRNA RNA_BlendTexture;
extern struct StructRNA RNA_StucciTexture;
extern struct StructRNA RNA_NoiseTexture;
extern struct StructRNA RNA_ImageTexture;
extern struct StructRNA RNA_MusgraveTexture;
extern struct StructRNA RNA_VoronoiTexture;
extern struct StructRNA RNA_DistortedNoiseTexture;
extern struct StructRNA RNA_TextureSlot;
extern struct StructRNA RNA_TexMapping;
extern struct StructRNA RNA_ColorMapping;
extern struct StructRNA RNA_Action;
extern struct StructRNA RNA_ActionFCurves;
extern struct StructRNA RNA_ActionGroups;
extern struct StructRNA RNA_ActionPoseMarkers;
extern struct StructRNA RNA_ActionGroup;
extern struct StructRNA RNA_DopeSheet;
extern struct StructRNA RNA_AnimData;
extern struct StructRNA RNA_NlaTracks;
extern struct StructRNA RNA_AnimDataDrivers;
extern struct StructRNA RNA_KeyingSet;
extern struct StructRNA RNA_KeyingSetPaths;
extern struct StructRNA RNA_KeyingSetPath;
extern struct StructRNA RNA_KeyingSetInfo;
extern struct StructRNA RNA_AnimViz;
extern struct StructRNA RNA_AnimVizMotionPaths;
extern struct StructRNA RNA_MotionPath;
extern struct StructRNA RNA_MotionPathVert;
extern struct StructRNA RNA_Armature;
extern struct StructRNA RNA_ArmatureBones;
extern struct StructRNA RNA_ArmatureEditBones;
extern struct StructRNA RNA_Bone;
extern struct StructRNA RNA_EditBone;
extern struct StructRNA RNA_Attribute;
extern struct StructRNA RNA_FloatAttribute;
extern struct StructRNA RNA_FloatAttributeValue;
extern struct StructRNA RNA_FloatVectorAttribute;
extern struct StructRNA RNA_FloatVectorAttributeValue;
extern struct StructRNA RNA_FloatColorAttribute;
extern struct StructRNA RNA_FloatColorAttributeValue;
extern struct StructRNA RNA_ByteColorAttribute;
extern struct StructRNA RNA_ByteColorAttributeValue;
extern struct StructRNA RNA_IntAttribute;
extern struct StructRNA RNA_IntAttributeValue;
extern struct StructRNA RNA_StringAttribute;
extern struct StructRNA RNA_StringAttributeValue;
extern struct StructRNA RNA_BoolAttribute;
extern struct StructRNA RNA_BoolAttributeValue;
extern struct StructRNA RNA_Float2Attribute;
extern struct StructRNA RNA_Float2AttributeValue;
extern struct StructRNA RNA_ByteIntAttribute;
extern struct StructRNA RNA_ByteIntAttributeValue;
extern struct StructRNA RNA_AttributeGroup;
extern struct StructRNA RNA_AssetTag;
extern struct StructRNA RNA_AssetMetaData;
extern struct StructRNA RNA_AssetTags;
extern struct StructRNA RNA_AssetLibraryReference;
extern struct StructRNA RNA_AssetHandle;
extern struct StructRNA RNA_BoidRule;
extern struct StructRNA RNA_BoidRuleGoal;
extern struct StructRNA RNA_BoidRuleAvoid;
extern struct StructRNA RNA_BoidRuleAvoidCollision;
extern struct StructRNA RNA_BoidRuleFollowLeader;
extern struct StructRNA RNA_BoidRuleAverageSpeed;
extern struct StructRNA RNA_BoidRuleFight;
extern struct StructRNA RNA_BoidState;
extern struct StructRNA RNA_BoidSettings;
extern struct StructRNA RNA_Brush;
extern struct StructRNA RNA_BrushCapabilities;
extern struct StructRNA RNA_BrushCapabilitiesSculpt;
extern struct StructRNA RNA_BrushCapabilitiesImagePaint;
extern struct StructRNA RNA_BrushCapabilitiesVertexPaint;
extern struct StructRNA RNA_BrushCapabilitiesWeightPaint;
extern struct StructRNA RNA_BrushGpencilSettings;
extern struct StructRNA RNA_BrushCurvesSculptSettings;
extern struct StructRNA RNA_BrushTextureSlot;
extern struct StructRNA RNA_OperatorStrokeElement;
extern struct StructRNA RNA_CacheFile;
extern struct StructRNA RNA_CacheFileLayers;
extern struct StructRNA RNA_CacheObjectPaths;
extern struct StructRNA RNA_CacheObjectPath;
extern struct StructRNA RNA_CacheFileLayer;
extern struct StructRNA RNA_Camera;
extern struct StructRNA RNA_CameraBackgroundImage;
extern struct StructRNA RNA_CameraBackgroundImages;
extern struct StructRNA RNA_CameraStereoData;
extern struct StructRNA RNA_CameraDOFSettings;
extern struct StructRNA RNA_ClothSolverResult;
extern struct StructRNA RNA_ClothSettings;
extern struct StructRNA RNA_ClothCollisionSettings;
extern struct StructRNA RNA_Collection;
extern struct StructRNA RNA_CollectionObjects;
extern struct StructRNA RNA_CollectionChildren;
extern struct StructRNA RNA_CurveMapPoint;
extern struct StructRNA RNA_CurveMap;
extern struct StructRNA RNA_CurveMapPoints;
extern struct StructRNA RNA_CurveMapping;
extern struct StructRNA RNA_ColorRampElement;
extern struct StructRNA RNA_ColorRamp;
extern struct StructRNA RNA_ColorRampElements;
extern struct StructRNA RNA_Histogram;
extern struct StructRNA RNA_Scopes;
extern struct StructRNA RNA_ColorManagedDisplaySettings;
extern struct StructRNA RNA_ColorManagedViewSettings;
extern struct StructRNA RNA_ColorManagedInputColorspaceSettings;
extern struct StructRNA RNA_ColorManagedSequencerColorspaceSettings;
extern struct StructRNA RNA_Constraint;
extern struct StructRNA RNA_ConstraintTarget;
extern struct StructRNA RNA_ConstraintTargetBone;
extern struct StructRNA RNA_ChildOfConstraint;
extern struct StructRNA RNA_PythonConstraint;
extern struct StructRNA RNA_ArmatureConstraint;
extern struct StructRNA RNA_ArmatureConstraintTargets;
extern struct StructRNA RNA_StretchToConstraint;
extern struct StructRNA RNA_FollowPathConstraint;
extern struct StructRNA RNA_LockedTrackConstraint;
extern struct StructRNA RNA_ActionConstraint;
extern struct StructRNA RNA_CopyScaleConstraint;
extern struct StructRNA RNA_MaintainVolumeConstraint;
extern struct StructRNA RNA_CopyLocationConstraint;
extern struct StructRNA RNA_CopyRotationConstraint;
extern struct StructRNA RNA_CopyTransformsConstraint;
extern struct StructRNA RNA_FloorConstraint;
extern struct StructRNA RNA_TrackToConstraint;
extern struct StructRNA RNA_KinematicConstraint;
extern struct StructRNA RNA_ClampToConstraint;
extern struct StructRNA RNA_LimitDistanceConstraint;
extern struct StructRNA RNA_LimitScaleConstraint;
extern struct StructRNA RNA_LimitRotationConstraint;
extern struct StructRNA RNA_LimitLocationConstraint;
extern struct StructRNA RNA_TransformConstraint;
extern struct StructRNA RNA_ShrinkwrapConstraint;
extern struct StructRNA RNA_DampedTrackConstraint;
extern struct StructRNA RNA_SplineIKConstraint;
extern struct StructRNA RNA_PivotConstraint;
extern struct StructRNA RNA_FollowTrackConstraint;
extern struct StructRNA RNA_CameraSolverConstraint;
extern struct StructRNA RNA_ObjectSolverConstraint;
extern struct StructRNA RNA_TransformCacheConstraint;
extern struct StructRNA RNA_Context;
extern struct StructRNA RNA_Curve;
extern struct StructRNA RNA_CurveSplines;
extern struct StructRNA RNA_SurfaceCurve;
extern struct StructRNA RNA_TextCurve;
extern struct StructRNA RNA_TextBox;
extern struct StructRNA RNA_TextCharacterFormat;
extern struct StructRNA RNA_SplinePoint;
extern struct StructRNA RNA_BezierSplinePoint;
extern struct StructRNA RNA_Spline;
extern struct StructRNA RNA_SplinePoints;
extern struct StructRNA RNA_SplineBezierPoints;
extern struct StructRNA RNA_DynamicPaintCanvasSettings;
extern struct StructRNA RNA_DynamicPaintSurfaces;
extern struct StructRNA RNA_DynamicPaintBrushSettings;
extern struct StructRNA RNA_DynamicPaintSurface;
extern struct StructRNA RNA_FCurve;
extern struct StructRNA RNA_FCurveKeyframePoints;
extern struct StructRNA RNA_FCurveModifiers;
extern struct StructRNA RNA_Keyframe;
extern struct StructRNA RNA_FCurveSample;
extern struct StructRNA RNA_DriverTarget;
extern struct StructRNA RNA_DriverVariable;
extern struct StructRNA RNA_Driver;
extern struct StructRNA RNA_ChannelDriverVariables;
extern struct StructRNA RNA_FModifier;
extern struct StructRNA RNA_FModifierGenerator;
extern struct StructRNA RNA_FModifierFunctionGenerator;
extern struct StructRNA RNA_FModifierEnvelope;
extern struct StructRNA RNA_FModifierEnvelopeControlPoints;
extern struct StructRNA RNA_FModifierEnvelopeControlPoint;
extern struct StructRNA RNA_FModifierCycles;
extern struct StructRNA RNA_FModifierPython;
extern struct StructRNA RNA_FModifierLimits;
extern struct StructRNA RNA_FModifierNoise;
extern struct StructRNA RNA_FModifierStepped;
extern struct StructRNA RNA_GreasePencil;
extern struct StructRNA RNA_GreasePencilLayers;
extern struct StructRNA RNA_GreasePencilGrid;
extern struct StructRNA RNA_GPencilLayer;
extern struct StructRNA RNA_GPencilFrames;
extern struct StructRNA RNA_GreasePencilMaskLayers;
extern struct StructRNA RNA_GPencilLayerMask;
extern struct StructRNA RNA_GPencilFrame;
extern struct StructRNA RNA_GPencilStrokes;
extern struct StructRNA RNA_GPencilStroke;
extern struct StructRNA RNA_GPencilStrokePoints;
extern struct StructRNA RNA_GPencilStrokePoint;
extern struct StructRNA RNA_GPencilTriangle;
extern struct StructRNA RNA_GPencilEditCurve;
extern struct StructRNA RNA_GPencilEditCurvePoint;
extern struct StructRNA RNA_GpencilVertexGroupElement;
extern struct StructRNA RNA_CurvePoint;
extern struct StructRNA RNA_CurveSlice;
extern struct StructRNA RNA_Curves;
extern struct StructRNA RNA_RenderSlot;
extern struct StructRNA RNA_UDIMTile;
extern struct StructRNA RNA_Image;
extern struct StructRNA RNA_RenderSlots;
extern struct StructRNA RNA_UDIMTiles;
extern struct StructRNA RNA_ImageUser;
extern struct StructRNA RNA_ImagePackedFile;
extern struct StructRNA RNA_Key;
extern struct StructRNA RNA_ShapeKey;
extern struct StructRNA RNA_ShapeKeyPoint;
extern struct StructRNA RNA_ShapeKeyCurvePoint;
extern struct StructRNA RNA_ShapeKeyBezierPoint;
extern struct StructRNA RNA_Light;
extern struct StructRNA RNA_PointLight;
extern struct StructRNA RNA_AreaLight;
extern struct StructRNA RNA_SpotLight;
extern struct StructRNA RNA_SunLight;
extern struct StructRNA RNA_Lattice;
extern struct StructRNA RNA_LatticePoint;
extern struct StructRNA RNA_ViewLayer;
extern struct StructRNA RNA_AOVs;
extern struct StructRNA RNA_Lightgroups;
extern struct StructRNA RNA_LayerObjects;
extern struct StructRNA RNA_FreestyleLineSet;
extern struct StructRNA RNA_FreestyleModuleSettings;
extern struct StructRNA RNA_FreestyleSettings;
extern struct StructRNA RNA_FreestyleModules;
extern struct StructRNA RNA_Linesets;
extern struct StructRNA RNA_LayerCollection;
extern struct StructRNA RNA_ObjectBase;
extern struct StructRNA RNA_LineStyleModifier;
extern struct StructRNA RNA_LineStyleColorModifier;
extern struct StructRNA RNA_LineStyleColorModifier_AlongStroke;
extern struct StructRNA RNA_LineStyleColorModifier_DistanceFromCamera;
extern struct StructRNA RNA_LineStyleColorModifier_DistanceFromObject;
extern struct StructRNA RNA_LineStyleColorModifier_Material;
extern struct StructRNA RNA_LineStyleColorModifier_Tangent;
extern struct StructRNA RNA_LineStyleColorModifier_Noise;
extern struct StructRNA RNA_LineStyleColorModifier_CreaseAngle;
extern struct StructRNA RNA_LineStyleColorModifier_Curvature_3D;
extern struct StructRNA RNA_LineStyleAlphaModifier;
extern struct StructRNA RNA_LineStyleAlphaModifier_AlongStroke;
extern struct StructRNA RNA_LineStyleAlphaModifier_DistanceFromCamera;
extern struct StructRNA RNA_LineStyleAlphaModifier_DistanceFromObject;
extern struct StructRNA RNA_LineStyleAlphaModifier_Material;
extern struct StructRNA RNA_LineStyleAlphaModifier_Tangent;
extern struct StructRNA RNA_LineStyleAlphaModifier_Noise;
extern struct StructRNA RNA_LineStyleAlphaModifier_CreaseAngle;
extern struct StructRNA RNA_LineStyleAlphaModifier_Curvature_3D;
extern struct StructRNA RNA_LineStyleThicknessModifier;
extern struct StructRNA RNA_LineStyleThicknessModifier_Tangent;
extern struct StructRNA RNA_LineStyleThicknessModifier_AlongStroke;
extern struct StructRNA RNA_LineStyleThicknessModifier_DistanceFromCamera;
extern struct StructRNA RNA_LineStyleThicknessModifier_DistanceFromObject;
extern struct StructRNA RNA_LineStyleThicknessModifier_Material;
extern struct StructRNA RNA_LineStyleThicknessModifier_Calligraphy;
extern struct StructRNA RNA_LineStyleThicknessModifier_Noise;
extern struct StructRNA RNA_LineStyleThicknessModifier_Curvature_3D;
extern struct StructRNA RNA_LineStyleThicknessModifier_CreaseAngle;
extern struct StructRNA RNA_LineStyleGeometryModifier;
extern struct StructRNA RNA_LineStyleGeometryModifier_Sampling;
extern struct StructRNA RNA_LineStyleGeometryModifier_BezierCurve;
extern struct StructRNA RNA_LineStyleGeometryModifier_SinusDisplacement;
extern struct StructRNA RNA_LineStyleGeometryModifier_SpatialNoise;
extern struct StructRNA RNA_LineStyleGeometryModifier_PerlinNoise1D;
extern struct StructRNA RNA_LineStyleGeometryModifier_PerlinNoise2D;
extern struct StructRNA RNA_LineStyleGeometryModifier_BackboneStretcher;
extern struct StructRNA RNA_LineStyleGeometryModifier_TipRemover;
extern struct StructRNA RNA_LineStyleGeometryModifier_Polygonalization;
extern struct StructRNA RNA_LineStyleGeometryModifier_GuidingLines;
extern struct StructRNA RNA_LineStyleGeometryModifier_Blueprint;
extern struct StructRNA RNA_LineStyleGeometryModifier_2DOffset;
extern struct StructRNA RNA_LineStyleGeometryModifier_2DTransform;
extern struct StructRNA RNA_LineStyleGeometryModifier_Simplification;
extern struct StructRNA RNA_FreestyleLineStyle;
extern struct StructRNA RNA_LineStyleTextureSlots;
extern struct StructRNA RNA_LineStyleColorModifiers;
extern struct StructRNA RNA_LineStyleAlphaModifiers;
extern struct StructRNA RNA_LineStyleThicknessModifiers;
extern struct StructRNA RNA_LineStyleGeometryModifiers;
extern struct StructRNA RNA_LineStyleTextureSlot;
extern struct StructRNA RNA_BlendData;
extern struct StructRNA RNA_BlendDataCameras;
extern struct StructRNA RNA_BlendDataScenes;
extern struct StructRNA RNA_BlendDataObjects;
extern struct StructRNA RNA_BlendDataMaterials;
extern struct StructRNA RNA_BlendDataNodeTrees;
extern struct StructRNA RNA_BlendDataMeshes;
extern struct StructRNA RNA_BlendDataLights;
extern struct StructRNA RNA_BlendDataLibraries;
extern struct StructRNA RNA_BlendDataScreens;
extern struct StructRNA RNA_BlendDataWindowManagers;
extern struct StructRNA RNA_BlendDataImages;
extern struct StructRNA RNA_BlendDataLattices;
extern struct StructRNA RNA_BlendDataCurves;
extern struct StructRNA RNA_BlendDataMetaBalls;
extern struct StructRNA RNA_BlendDataFonts;
extern struct StructRNA RNA_BlendDataTextures;
extern struct StructRNA RNA_BlendDataBrushes;
extern struct StructRNA RNA_BlendDataWorlds;
extern struct StructRNA RNA_BlendDataCollections;
extern struct StructRNA RNA_BlendDataTexts;
extern struct StructRNA RNA_BlendDataSpeakers;
extern struct StructRNA RNA_BlendDataSounds;
extern struct StructRNA RNA_BlendDataArmatures;
extern struct StructRNA RNA_BlendDataActions;
extern struct StructRNA RNA_BlendDataParticles;
extern struct StructRNA RNA_BlendDataPalettes;
extern struct StructRNA RNA_BlendDataGreasePencils;
extern struct StructRNA RNA_BlendDataMovieClips;
extern struct StructRNA RNA_BlendDataMasks;
extern struct StructRNA RNA_BlendDataLineStyles;
extern struct StructRNA RNA_BlendDataCacheFiles;
extern struct StructRNA RNA_BlendDataPaintCurves;
extern struct StructRNA RNA_BlendDataWorkSpaces;
extern struct StructRNA RNA_BlendDataProbes;
extern struct StructRNA RNA_BlendDataHairCurves;
extern struct StructRNA RNA_BlendDataPointClouds;
extern struct StructRNA RNA_BlendDataVolumes;
extern struct StructRNA RNA_BlendDataSimulations;
extern struct StructRNA RNA_FluidDomainSettings;
extern struct StructRNA RNA_FluidFlowSettings;
extern struct StructRNA RNA_FluidEffectorSettings;
extern struct StructRNA RNA_Material;
extern struct StructRNA RNA_TexPaintSlot;
extern struct StructRNA RNA_MaterialGPencilStyle;
extern struct StructRNA RNA_MaterialLineArt;
extern struct StructRNA RNA_Mesh;
extern struct StructRNA RNA_MeshVertices;
extern struct StructRNA RNA_MeshEdges;
extern struct StructRNA RNA_MeshLoops;
extern struct StructRNA RNA_MeshPolygons;
extern struct StructRNA RNA_MeshNormalValue;
extern struct StructRNA RNA_MeshLoopTriangles;
extern struct StructRNA RNA_UVLoopLayers;
extern struct StructRNA RNA_LoopColors;
extern struct StructRNA RNA_VertColors;
extern struct StructRNA RNA_VertexFloatProperties;
extern struct StructRNA RNA_VertexIntProperties;
extern struct StructRNA RNA_VertexStringProperties;
extern struct StructRNA RNA_PolygonFloatProperties;
extern struct StructRNA RNA_PolygonIntProperties;
extern struct StructRNA RNA_PolygonStringProperties;
extern struct StructRNA RNA_MeshFaceMapLayers;
extern struct StructRNA RNA_MeshSkinVertexLayer;
extern struct StructRNA RNA_MeshSkinVertex;
extern struct StructRNA RNA_MeshVertexCreaseLayer;
extern struct StructRNA RNA_MeshVertexCrease;
extern struct StructRNA RNA_MeshEdgeCreaseLayer;
extern struct StructRNA RNA_MeshEdgeCrease;
extern struct StructRNA RNA_MeshPaintMaskLayer;
extern struct StructRNA RNA_MeshPaintMaskProperty;
extern struct StructRNA RNA_MeshVertex;
extern struct StructRNA RNA_VertexGroupElement;
extern struct StructRNA RNA_MeshEdge;
extern struct StructRNA RNA_MeshLoopTriangle;
extern struct StructRNA RNA_MeshLoop;
extern struct StructRNA RNA_MeshPolygon;
extern struct StructRNA RNA_MeshUVLoopLayer;
extern struct StructRNA RNA_MeshUVLoop;
extern struct StructRNA RNA_MeshLoopColorLayer;
extern struct StructRNA RNA_MeshLoopColor;
extern struct StructRNA RNA_MeshVertColorLayer;
extern struct StructRNA RNA_MeshVertColor;
extern struct StructRNA RNA_MeshVertexFloatPropertyLayer;
extern struct StructRNA RNA_MeshVertexFloatProperty;
extern struct StructRNA RNA_MeshPolygonFloatPropertyLayer;
extern struct StructRNA RNA_MeshPolygonFloatProperty;
extern struct StructRNA RNA_MeshVertexIntPropertyLayer;
extern struct StructRNA RNA_MeshVertexIntProperty;
extern struct StructRNA RNA_MeshPolygonIntPropertyLayer;
extern struct StructRNA RNA_MeshPolygonIntProperty;
extern struct StructRNA RNA_MeshVertexStringPropertyLayer;
extern struct StructRNA RNA_MeshVertexStringProperty;
extern struct StructRNA RNA_MeshPolygonStringPropertyLayer;
extern struct StructRNA RNA_MeshPolygonStringProperty;
extern struct StructRNA RNA_MeshFaceMapLayer;
extern struct StructRNA RNA_MeshFaceMap;
extern struct StructRNA RNA_MetaElement;
extern struct StructRNA RNA_MetaBall;
extern struct StructRNA RNA_MetaBallElements;
extern struct StructRNA RNA_Modifier;
extern struct StructRNA RNA_SubsurfModifier;
extern struct StructRNA RNA_LatticeModifier;
extern struct StructRNA RNA_CurveModifier;
extern struct StructRNA RNA_BuildModifier;
extern struct StructRNA RNA_MirrorModifier;
extern struct StructRNA RNA_DecimateModifier;
extern struct StructRNA RNA_WaveModifier;
extern struct StructRNA RNA_ArmatureModifier;
extern struct StructRNA RNA_HookModifier;
extern struct StructRNA RNA_SoftBodyModifier;
extern struct StructRNA RNA_BooleanModifier;
extern struct StructRNA RNA_ArrayModifier;
extern struct StructRNA RNA_EdgeSplitModifier;
extern struct StructRNA RNA_DisplaceModifier;
extern struct StructRNA RNA_UVProjectModifier;
extern struct StructRNA RNA_UVProjector;
extern struct StructRNA RNA_SmoothModifier;
extern struct StructRNA RNA_CorrectiveSmoothModifier;
extern struct StructRNA RNA_CastModifier;
extern struct StructRNA RNA_MeshDeformModifier;
extern struct StructRNA RNA_ParticleSystemModifier;
extern struct StructRNA RNA_ParticleInstanceModifier;
extern struct StructRNA RNA_ExplodeModifier;
extern struct StructRNA RNA_ClothModifier;
extern struct StructRNA RNA_CollisionModifier;
extern struct StructRNA RNA_BevelModifier;
extern struct StructRNA RNA_ShrinkwrapModifier;
extern struct StructRNA RNA_MaskModifier;
extern struct StructRNA RNA_SimpleDeformModifier;
extern struct StructRNA RNA_WarpModifier;
extern struct StructRNA RNA_MultiresModifier;
extern struct StructRNA RNA_SurfaceModifier;
extern struct StructRNA RNA_FluidModifier;
extern struct StructRNA RNA_SolidifyModifier;
extern struct StructRNA RNA_ScrewModifier;
extern struct StructRNA RNA_UVWarpModifier;
extern struct StructRNA RNA_VertexWeightEditModifier;
extern struct StructRNA RNA_VertexWeightMixModifier;
extern struct StructRNA RNA_VertexWeightProximityModifier;
extern struct StructRNA RNA_DynamicPaintModifier;
extern struct StructRNA RNA_OceanModifier;
extern struct StructRNA RNA_RemeshModifier;
extern struct StructRNA RNA_SkinModifier;
extern struct StructRNA RNA_LaplacianSmoothModifier;
extern struct StructRNA RNA_TriangulateModifier;
extern struct StructRNA RNA_MeshCacheModifier;
extern struct StructRNA RNA_LaplacianDeformModifier;
extern struct StructRNA RNA_WeldModifier;
extern struct StructRNA RNA_WireframeModifier;
extern struct StructRNA RNA_DataTransferModifier;
extern struct StructRNA RNA_NormalEditModifier;
extern struct StructRNA RNA_MeshSequenceCacheModifier;
extern struct StructRNA RNA_SurfaceDeformModifier;
extern struct StructRNA RNA_WeightedNormalModifier;
extern struct StructRNA RNA_NodesModifier;
extern struct StructRNA RNA_MeshToVolumeModifier;
extern struct StructRNA RNA_VolumeDisplaceModifier;
extern struct StructRNA RNA_VolumeToMeshModifier;
extern struct StructRNA RNA_GpencilModifier;
extern struct StructRNA RNA_NoiseGpencilModifier;
extern struct StructRNA RNA_SmoothGpencilModifier;
extern struct StructRNA RNA_SubdivGpencilModifier;
extern struct StructRNA RNA_SimplifyGpencilModifier;
extern struct StructRNA RNA_ThickGpencilModifier;
extern struct StructRNA RNA_OffsetGpencilModifier;
extern struct StructRNA RNA_TintGpencilModifier;
extern struct StructRNA RNA_TimeGpencilModifierSegment;
extern struct StructRNA RNA_TimeGpencilModifier;
extern struct StructRNA RNA_ColorGpencilModifier;
extern struct StructRNA RNA_ArrayGpencilModifier;
extern struct StructRNA RNA_BuildGpencilModifier;
extern struct StructRNA RNA_OpacityGpencilModifier;
extern struct StructRNA RNA_OutlineGpencilModifier;
extern struct StructRNA RNA_LatticeGpencilModifier;
extern struct StructRNA RNA_MirrorGpencilModifier;
extern struct StructRNA RNA_HookGpencilModifier;
extern struct StructRNA RNA_ArmatureGpencilModifier;
extern struct StructRNA RNA_MultiplyGpencilModifier;
extern struct StructRNA RNA_TextureGpencilModifier;
extern struct StructRNA RNA_WeightAngleGpencilModifier;
extern struct StructRNA RNA_WeightProxGpencilModifier;
extern struct StructRNA RNA_LineartGpencilModifier;
extern struct StructRNA RNA_LengthGpencilModifier;
extern struct StructRNA RNA_DashGpencilModifierSegment;
extern struct StructRNA RNA_DashGpencilModifierData;
extern struct StructRNA RNA_ShrinkwrapGpencilModifier;
extern struct StructRNA RNA_EnvelopeGpencilModifier;
extern struct StructRNA RNA_ShaderFx;
extern struct StructRNA RNA_ShaderFxBlur;
extern struct StructRNA RNA_ShaderFxColorize;
extern struct StructRNA RNA_ShaderFxWave;
extern struct StructRNA RNA_ShaderFxPixel;
extern struct StructRNA RNA_ShaderFxRim;
extern struct StructRNA RNA_ShaderFxShadow;
extern struct StructRNA RNA_ShaderFxGlow;
extern struct StructRNA RNA_ShaderFxSwirl;
extern struct StructRNA RNA_ShaderFxFlip;
extern struct StructRNA RNA_NlaTrack;
extern struct StructRNA RNA_NlaStrips;
extern struct StructRNA RNA_NlaStrip;
extern struct StructRNA RNA_NlaStripFCurves;
extern struct StructRNA RNA_NodeSocket;
extern struct StructRNA RNA_NodeSocketInterface;
extern struct StructRNA RNA_Node;
extern struct StructRNA RNA_NodeInputs;
extern struct StructRNA RNA_NodeOutputs;
extern struct StructRNA RNA_NodeLink;
extern struct StructRNA RNA_NodeInternalSocketTemplate;
extern struct StructRNA RNA_NodeInternal;
extern struct StructRNA RNA_ShaderNode;
extern struct StructRNA RNA_CompositorNode;
extern struct StructRNA RNA_CryptomatteEntry;
extern struct StructRNA RNA_TextureNode;
extern struct StructRNA RNA_GeometryNode;
extern struct StructRNA RNA_FunctionNode;
extern struct StructRNA RNA_NodeTree;
extern struct StructRNA RNA_Nodes;
extern struct StructRNA RNA_NodeLinks;
extern struct StructRNA RNA_NodeTreeInputs;
extern struct StructRNA RNA_NodeTreeOutputs;
extern struct StructRNA RNA_NodeSocketStandard;
extern struct StructRNA RNA_NodeSocketInterfaceStandard;
extern struct StructRNA RNA_NodeSocketFloat;
extern struct StructRNA RNA_NodeSocketInterfaceFloat;
extern struct StructRNA RNA_NodeSocketFloatUnsigned;
extern struct StructRNA RNA_NodeSocketInterfaceFloatUnsigned;
extern struct StructRNA RNA_NodeSocketFloatPercentage;
extern struct StructRNA RNA_NodeSocketInterfaceFloatPercentage;
extern struct StructRNA RNA_NodeSocketFloatFactor;
extern struct StructRNA RNA_NodeSocketInterfaceFloatFactor;
extern struct StructRNA RNA_NodeSocketFloatAngle;
extern struct StructRNA RNA_NodeSocketInterfaceFloatAngle;
extern struct StructRNA RNA_NodeSocketFloatTime;
extern struct StructRNA RNA_NodeSocketInterfaceFloatTime;
extern struct StructRNA RNA_NodeSocketFloatTimeAbsolute;
extern struct StructRNA RNA_NodeSocketInterfaceFloatTimeAbsolute;
extern struct StructRNA RNA_NodeSocketFloatDistance;
extern struct StructRNA RNA_NodeSocketInterfaceFloatDistance;
extern struct StructRNA RNA_NodeSocketInt;
extern struct StructRNA RNA_NodeSocketInterfaceInt;
extern struct StructRNA RNA_NodeSocketIntUnsigned;
extern struct StructRNA RNA_NodeSocketInterfaceIntUnsigned;
extern struct StructRNA RNA_NodeSocketIntPercentage;
extern struct StructRNA RNA_NodeSocketInterfaceIntPercentage;
extern struct StructRNA RNA_NodeSocketIntFactor;
extern struct StructRNA RNA_NodeSocketInterfaceIntFactor;
extern struct StructRNA RNA_NodeSocketBool;
extern struct StructRNA RNA_NodeSocketInterfaceBool;
extern struct StructRNA RNA_NodeSocketVector;
extern struct StructRNA RNA_NodeSocketInterfaceVector;
extern struct StructRNA RNA_NodeSocketVectorTranslation;
extern struct StructRNA RNA_NodeSocketInterfaceVectorTranslation;
extern struct StructRNA RNA_NodeSocketVectorDirection;
extern struct StructRNA RNA_NodeSocketInterfaceVectorDirection;
extern struct StructRNA RNA_NodeSocketVectorVelocity;
extern struct StructRNA RNA_NodeSocketInterfaceVectorVelocity;
extern struct StructRNA RNA_NodeSocketVectorAcceleration;
extern struct StructRNA RNA_NodeSocketInterfaceVectorAcceleration;
extern struct StructRNA RNA_NodeSocketVectorEuler;
extern struct StructRNA RNA_NodeSocketInterfaceVectorEuler;
extern struct StructRNA RNA_NodeSocketVectorXYZ;
extern struct StructRNA RNA_NodeSocketInterfaceVectorXYZ;
extern struct StructRNA RNA_NodeSocketColor;
extern struct StructRNA RNA_NodeSocketInterfaceColor;
extern struct StructRNA RNA_NodeSocketString;
extern struct StructRNA RNA_NodeSocketInterfaceString;
extern struct StructRNA RNA_NodeSocketShader;
extern struct StructRNA RNA_NodeSocketInterfaceShader;
extern struct StructRNA RNA_NodeSocketVirtual;
extern struct StructRNA RNA_NodeSocketObject;
extern struct StructRNA RNA_NodeSocketInterfaceObject;
extern struct StructRNA RNA_NodeSocketImage;
extern struct StructRNA RNA_NodeSocketInterfaceImage;
extern struct StructRNA RNA_NodeSocketGeometry;
extern struct StructRNA RNA_NodeSocketInterfaceGeometry;
extern struct StructRNA RNA_NodeSocketCollection;
extern struct StructRNA RNA_NodeSocketInterfaceCollection;
extern struct StructRNA RNA_NodeSocketTexture;
extern struct StructRNA RNA_NodeSocketInterfaceTexture;
extern struct StructRNA RNA_NodeSocketMaterial;
extern struct StructRNA RNA_NodeSocketInterfaceMaterial;
extern struct StructRNA RNA_CompositorNodeTree;
extern struct StructRNA RNA_ShaderNodeTree;
extern struct StructRNA RNA_TextureNodeTree;
extern struct StructRNA RNA_GeometryNodeTree;
extern struct StructRNA RNA_NodeFrame;
extern struct StructRNA RNA_NodeGroup;
extern struct StructRNA RNA_NodeGroupInput;
extern struct StructRNA RNA_NodeGroupOutput;
extern struct StructRNA RNA_NodeReroute;
extern struct StructRNA RNA_ShaderNodeRGB;
extern struct StructRNA RNA_ShaderNodeValue;
extern struct StructRNA RNA_ShaderNodeMixRGB;
extern struct StructRNA RNA_ShaderNodeValToRGB;
extern struct StructRNA RNA_ShaderNodeRGBToBW;
extern struct StructRNA RNA_ShaderNodeShaderToRGB;
extern struct StructRNA RNA_ShaderNodeNormal;
extern struct StructRNA RNA_ShaderNodeGamma;
extern struct StructRNA RNA_ShaderNodeBrightContrast;
extern struct StructRNA RNA_ShaderNodeMapping;
extern struct StructRNA RNA_ShaderNodeVectorCurve;
extern struct StructRNA RNA_ShaderNodeRGBCurve;
extern struct StructRNA RNA_ShaderNodeCameraData;
extern struct StructRNA RNA_ShaderNodeMapRange;
extern struct StructRNA RNA_ShaderNodeClamp;
extern struct StructRNA RNA_ShaderNodeMath;
extern struct StructRNA RNA_ShaderNodeVectorMath;
extern struct StructRNA RNA_ShaderNodeSqueeze;
extern struct StructRNA RNA_ShaderNodeInvert;
extern struct StructRNA RNA_ShaderNodeSeparateRGB;
extern struct StructRNA RNA_ShaderNodeCombineRGB;
extern struct StructRNA RNA_ShaderNodeHueSaturation;
extern struct StructRNA RNA_ShaderNodeOutputMaterial;
extern struct StructRNA RNA_ShaderNodeEeveeSpecular;
extern struct StructRNA RNA_ShaderNodeOutputLight;
extern struct StructRNA RNA_ShaderNodeOutputWorld;
extern struct StructRNA RNA_ShaderNodeOutputLineStyle;
extern struct StructRNA RNA_ShaderNodeFresnel;
extern struct StructRNA RNA_ShaderNodeLayerWeight;
extern struct StructRNA RNA_ShaderNodeMixShader;
extern struct StructRNA RNA_ShaderNodeAddShader;
extern struct StructRNA RNA_ShaderNodeAttribute;
extern struct StructRNA RNA_ShaderNodeAmbientOcclusion;
extern struct StructRNA RNA_ShaderNodeBackground;
extern struct StructRNA RNA_ShaderNodeHoldout;
extern struct StructRNA RNA_ShaderNodeBsdfAnisotropic;
extern struct StructRNA RNA_ShaderNodeBsdfDiffuse;
extern struct StructRNA RNA_ShaderNodeBsdfPrincipled;
extern struct StructRNA RNA_ShaderNodeBsdfGlossy;
extern struct StructRNA RNA_ShaderNodeBsdfGlass;
extern struct StructRNA RNA_ShaderNodeBsdfRefraction;
extern struct StructRNA RNA_ShaderNodeBsdfTranslucent;
extern struct StructRNA RNA_ShaderNodeBsdfTransparent;
extern struct StructRNA RNA_ShaderNodeBsdfVelvet;
extern struct StructRNA RNA_ShaderNodeBsdfToon;
extern struct StructRNA RNA_ShaderNodeBsdfHair;
extern struct StructRNA RNA_ShaderNodeBsdfHairPrincipled;
extern struct StructRNA RNA_ShaderNodeSubsurfaceScattering;
extern struct StructRNA RNA_ShaderNodeVolumeAbsorption;
extern struct StructRNA RNA_ShaderNodeVolumeScatter;
extern struct StructRNA RNA_ShaderNodeVolumePrincipled;
extern struct StructRNA RNA_ShaderNodeEmission;
extern struct StructRNA RNA_ShaderNodeNewGeometry;
extern struct StructRNA RNA_ShaderNodeLightPath;
extern struct StructRNA RNA_ShaderNodeLightFalloff;
extern struct StructRNA RNA_ShaderNodeObjectInfo;
extern struct StructRNA RNA_ShaderNodeParticleInfo;
extern struct StructRNA RNA_ShaderNodeHairInfo;
extern struct StructRNA RNA_ShaderNodePointInfo;
extern struct StructRNA RNA_ShaderNodeVolumeInfo;
extern struct StructRNA RNA_ShaderNodeWireframe;
extern struct StructRNA RNA_ShaderNodeWavelength;
extern struct StructRNA RNA_ShaderNodeBlackbody;
extern struct StructRNA RNA_ShaderNodeBump;
extern struct StructRNA RNA_ShaderNodeNormalMap;
extern struct StructRNA RNA_ShaderNodeTangent;
extern struct StructRNA RNA_ShaderNodeScript;
extern struct StructRNA RNA_ShaderNodeTexImage;
extern struct StructRNA RNA_ShaderNodeTexEnvironment;
extern struct StructRNA RNA_ShaderNodeTexSky;
extern struct StructRNA RNA_ShaderNodeTexGradient;
extern struct StructRNA RNA_ShaderNodeTexNoise;
extern struct StructRNA RNA_ShaderNodeTexMagic;
extern struct StructRNA RNA_ShaderNodeTexWave;
extern struct StructRNA RNA_ShaderNodeTexMusgrave;
extern struct StructRNA RNA_ShaderNodeTexVoronoi;
extern struct StructRNA RNA_ShaderNodeTexChecker;
extern struct StructRNA RNA_ShaderNodeTexBrick;
extern struct StructRNA RNA_ShaderNodeTexPointDensity;
extern struct StructRNA RNA_ShaderNodeTexCoord;
extern struct StructRNA RNA_ShaderNodeVectorRotate;
extern struct StructRNA RNA_ShaderNodeVectorTransform;
extern struct StructRNA RNA_ShaderNodeSeparateHSV;
extern struct StructRNA RNA_ShaderNodeCombineHSV;
extern struct StructRNA RNA_ShaderNodeUVMap;
extern struct StructRNA RNA_ShaderNodeVertexColor;
extern struct StructRNA RNA_ShaderNodeUVAlongStroke;
extern struct StructRNA RNA_ShaderNodeSeparateXYZ;
extern struct StructRNA RNA_ShaderNodeCombineXYZ;
extern struct StructRNA RNA_ShaderNodeBevel;
extern struct StructRNA RNA_ShaderNodeDisplacement;
extern struct StructRNA RNA_ShaderNodeVectorDisplacement;
extern struct StructRNA RNA_ShaderNodeTexIES;
extern struct StructRNA RNA_ShaderNodeTexWhiteNoise;
extern struct StructRNA RNA_ShaderNodeOutputAOV;
extern struct StructRNA RNA_ShaderNodeFloatCurve;
extern struct StructRNA RNA_ShaderNodeCombineColor;
extern struct StructRNA RNA_ShaderNodeSeparateColor;
extern struct StructRNA RNA_ShaderNodeMix;
extern struct StructRNA RNA_CompositorNodeViewer;
extern struct StructRNA RNA_CompositorNodeRGB;
extern struct StructRNA RNA_CompositorNodeValue;
extern struct StructRNA RNA_CompositorNodeMixRGB;
extern struct StructRNA RNA_CompositorNodeValToRGB;
extern struct StructRNA RNA_CompositorNodeRGBToBW;
extern struct StructRNA RNA_CompositorNodeNormal;
extern struct StructRNA RNA_CompositorNodeCurveVec;
extern struct StructRNA RNA_CompositorNodeCurveRGB;
extern struct StructRNA RNA_CompositorNodeAlphaOver;
extern struct StructRNA RNA_CompositorNodeBlur;
extern struct StructRNA RNA_CompositorNodeFilter;
extern struct StructRNA RNA_CompositorNodeMapValue;
extern struct StructRNA RNA_CompositorNodeMapRange;
extern struct StructRNA RNA_CompositorNodeTime;
extern struct StructRNA RNA_CompositorNodeVecBlur;
extern struct StructRNA RNA_CompositorNodeSepRGBA;
extern struct StructRNA RNA_CompositorNodeSepHSVA;
extern struct StructRNA RNA_CompositorNodeSetAlpha;
extern struct StructRNA RNA_CompositorNodeHueSat;
extern struct StructRNA RNA_CompositorNodeImage;
extern struct StructRNA RNA_CompositorNodeRLayers;
extern struct StructRNA RNA_CompositorNodeComposite;
extern struct StructRNA RNA_CompositorNodeOutputFile;
extern struct StructRNA RNA_CompositorNodeOutputFileFileSlots;
extern struct StructRNA RNA_CompositorNodeOutputFileLayerSlots;
extern struct StructRNA RNA_CompositorNodeTexture;
extern struct StructRNA RNA_CompositorNodeTranslate;
extern struct StructRNA RNA_CompositorNodeZcombine;
extern struct StructRNA RNA_CompositorNodeCombRGBA;
extern struct StructRNA RNA_CompositorNodeDilateErode;
extern struct StructRNA RNA_CompositorNodeInpaint;
extern struct StructRNA RNA_CompositorNodeDespeckle;
extern struct StructRNA RNA_CompositorNodeRotate;
extern struct StructRNA RNA_CompositorNodeScale;
extern struct StructRNA RNA_CompositorNodeSepYCCA;
extern struct StructRNA RNA_CompositorNodeCombYCCA;
extern struct StructRNA RNA_CompositorNodeSepYUVA;
extern struct StructRNA RNA_CompositorNodeCombYUVA;
extern struct StructRNA RNA_CompositorNodeDiffMatte;
extern struct StructRNA RNA_CompositorNodeColorSpill;
extern struct StructRNA RNA_CompositorNodeChromaMatte;
extern struct StructRNA RNA_CompositorNodeChannelMatte;
extern struct StructRNA RNA_CompositorNodeFlip;
extern struct StructRNA RNA_CompositorNodeSplitViewer;
extern struct StructRNA RNA_CompositorNodeMapUV;
extern struct StructRNA RNA_CompositorNodeIDMask;
extern struct StructRNA RNA_CompositorNodeDoubleEdgeMask;
extern struct StructRNA RNA_CompositorNodeDefocus;
extern struct StructRNA RNA_CompositorNodeDisplace;
extern struct StructRNA RNA_CompositorNodeCombHSVA;
extern struct StructRNA RNA_CompositorNodeMath;
extern struct StructRNA RNA_CompositorNodeLumaMatte;
extern struct StructRNA RNA_CompositorNodeBrightContrast;
extern struct StructRNA RNA_CompositorNodeGamma;
extern struct StructRNA RNA_CompositorNodeInvert;
extern struct StructRNA RNA_CompositorNodeNormalize;
extern struct StructRNA RNA_CompositorNodeCrop;
extern struct StructRNA RNA_CompositorNodeDBlur;
extern struct StructRNA RNA_CompositorNodeBilateralblur;
extern struct StructRNA RNA_CompositorNodePremulKey;
extern struct StructRNA RNA_CompositorNodeGlare;
extern struct StructRNA RNA_CompositorNodeTonemap;
extern struct StructRNA RNA_CompositorNodeLensdist;
extern struct StructRNA RNA_CompositorNodeLevels;
extern struct StructRNA RNA_CompositorNodeColorMatte;
extern struct StructRNA RNA_CompositorNodeDistanceMatte;
extern struct StructRNA RNA_CompositorNodeColorBalance;
extern struct StructRNA RNA_CompositorNodeHueCorrect;
extern struct StructRNA RNA_CompositorNodeMovieClip;
extern struct StructRNA RNA_CompositorNodeTransform;
extern struct StructRNA RNA_CompositorNodeStabilize;
extern struct StructRNA RNA_CompositorNodeMovieDistortion;
extern struct StructRNA RNA_CompositorNodeBoxMask;
extern struct StructRNA RNA_CompositorNodeEllipseMask;
extern struct StructRNA RNA_CompositorNodeBokehImage;
extern struct StructRNA RNA_CompositorNodeBokehBlur;
extern struct StructRNA RNA_CompositorNodeSwitch;
extern struct StructRNA RNA_CompositorNodeSwitchView;
extern struct StructRNA RNA_CompositorNodeColorCorrection;
extern struct StructRNA RNA_CompositorNodeMask;
extern struct StructRNA RNA_CompositorNodeKeyingScreen;
extern struct StructRNA RNA_CompositorNodeKeying;
extern struct StructRNA RNA_CompositorNodeTrackPos;
extern struct StructRNA RNA_CompositorNodePixelate;
extern struct StructRNA RNA_CompositorNodePlaneTrackDeform;
extern struct StructRNA RNA_CompositorNodeCornerPin;
extern struct StructRNA RNA_CompositorNodeSunBeams;
extern struct StructRNA RNA_CompositorNodeCryptomatteV2;
extern struct StructRNA RNA_CompositorNodeCryptomatte;
extern struct StructRNA RNA_CompositorNodeDenoise;
extern struct StructRNA RNA_CompositorNodeExposure;
extern struct StructRNA RNA_CompositorNodeAntiAliasing;
extern struct StructRNA RNA_CompositorNodePosterize;
extern struct StructRNA RNA_CompositorNodeConvertColorSpace;
extern struct StructRNA RNA_CompositorNodeSceneTime;
extern struct StructRNA RNA_CompositorNodeCombineXYZ;
extern struct StructRNA RNA_CompositorNodeSeparateXYZ;
extern struct StructRNA RNA_CompositorNodeSeparateColor;
extern struct StructRNA RNA_CompositorNodeCombineColor;
extern struct StructRNA RNA_TextureNodeOutput;
extern struct StructRNA RNA_TextureNodeChecker;
extern struct StructRNA RNA_TextureNodeTexture;
extern struct StructRNA RNA_TextureNodeBricks;
extern struct StructRNA RNA_TextureNodeMath;
extern struct StructRNA RNA_TextureNodeMixRGB;
extern struct StructRNA RNA_TextureNodeRGBToBW;
extern struct StructRNA RNA_TextureNodeValToRGB;
extern struct StructRNA RNA_TextureNodeImage;
extern struct StructRNA RNA_TextureNodeCurveRGB;
extern struct StructRNA RNA_TextureNodeInvert;
extern struct StructRNA RNA_TextureNodeHueSaturation;
extern struct StructRNA RNA_TextureNodeCurveTime;
extern struct StructRNA RNA_TextureNodeRotate;
extern struct StructRNA RNA_TextureNodeViewer;
extern struct StructRNA RNA_TextureNodeTranslate;
extern struct StructRNA RNA_TextureNodeCoordinates;
extern struct StructRNA RNA_TextureNodeDistance;
extern struct StructRNA RNA_TextureNodeCompose;
extern struct StructRNA RNA_TextureNodeDecompose;
extern struct StructRNA RNA_TextureNodeValToNor;
extern struct StructRNA RNA_TextureNodeScale;
extern struct StructRNA RNA_TextureNodeAt;
extern struct StructRNA RNA_TextureNodeCombineColor;
extern struct StructRNA RNA_TextureNodeSeparateColor;
extern struct StructRNA RNA_TextureNodeTexVoronoi;
extern struct StructRNA RNA_TextureNodeTexBlend;
extern struct StructRNA RNA_TextureNodeTexMagic;
extern struct StructRNA RNA_TextureNodeTexMarble;
extern struct StructRNA RNA_TextureNodeTexClouds;
extern struct StructRNA RNA_TextureNodeTexWood;
extern struct StructRNA RNA_TextureNodeTexMusgrave;
extern struct StructRNA RNA_TextureNodeTexNoise;
extern struct StructRNA RNA_TextureNodeTexStucci;
extern struct StructRNA RNA_TextureNodeTexDistNoise;
extern struct StructRNA RNA_FunctionNodeAlignEulerToVector;
extern struct StructRNA RNA_FunctionNodeBooleanMath;
extern struct StructRNA RNA_FunctionNodeCombineColor;
extern struct StructRNA RNA_FunctionNodeCompare;
extern struct StructRNA RNA_FunctionNodeFloatToInt;
extern struct StructRNA RNA_FunctionNodeInputBool;
extern struct StructRNA RNA_FunctionNodeInputColor;
extern struct StructRNA RNA_FunctionNodeInputInt;
extern struct StructRNA RNA_FunctionNodeInputSpecialCharacters;
extern struct StructRNA RNA_FunctionNodeInputString;
extern struct StructRNA RNA_FunctionNodeInputVector;
extern struct StructRNA RNA_FunctionNodeRandomValue;
extern struct StructRNA RNA_FunctionNodeReplaceString;
extern struct StructRNA RNA_FunctionNodeRotateEuler;
extern struct StructRNA RNA_FunctionNodeSeparateColor;
extern struct StructRNA RNA_FunctionNodeSliceString;
extern struct StructRNA RNA_FunctionNodeStringLength;
extern struct StructRNA RNA_FunctionNodeValueToString;
extern struct StructRNA RNA_GeometryNodeAccumulateField;
extern struct StructRNA RNA_GeometryNodeAttributeDomainSize;
extern struct StructRNA RNA_GeometryNodeAttributeStatistic;
extern struct StructRNA RNA_GeometryNodeBoundBox;
extern struct StructRNA RNA_GeometryNodeCaptureAttribute;
extern struct StructRNA RNA_GeometryNodeCollectionInfo;
extern struct StructRNA RNA_GeometryNodeConvexHull;
extern struct StructRNA RNA_GeometryNodeCurveEndpointSelection;
extern struct StructRNA RNA_GeometryNodeCurveHandleTypeSelection;
extern struct StructRNA RNA_GeometryNodeCurveLength;
extern struct StructRNA RNA_GeometryNodeCurveArc;
extern struct StructRNA RNA_GeometryNodeCurvePrimitiveBezierSegment;
extern struct StructRNA RNA_GeometryNodeCurvePrimitiveCircle;
extern struct StructRNA RNA_GeometryNodeCurvePrimitiveLine;
extern struct StructRNA RNA_GeometryNodeCurveQuadraticBezier;
extern struct StructRNA RNA_GeometryNodeCurvePrimitiveQuadrilateral;
extern struct StructRNA RNA_GeometryNodeCurveSpiral;
extern struct StructRNA RNA_GeometryNodeCurveStar;
extern struct StructRNA RNA_GeometryNodeCurveSetHandles;
extern struct StructRNA RNA_GeometryNodeSplineParameter;
extern struct StructRNA RNA_GeometryNodeCurveSplineType;
extern struct StructRNA RNA_GeometryNodeCurveToMesh;
extern struct StructRNA RNA_GeometryNodeCurveToPoints;
extern struct StructRNA RNA_GeometryNodeCurveOfPoint;
extern struct StructRNA RNA_GeometryNodePointsOfCurve;
extern struct StructRNA RNA_GeometryNodeDeformCurvesOnSurface;
extern struct StructRNA RNA_GeometryNodeDeleteGeometry;
extern struct StructRNA RNA_GeometryNodeDistributePointsInVolume;
extern struct StructRNA RNA_GeometryNodeDistributePointsOnFaces;
extern struct StructRNA RNA_GeometryNodeDualMesh;
extern struct StructRNA RNA_GeometryNodeDuplicateElements;
extern struct StructRNA RNA_GeometryNodeEdgePathsToCurves;
extern struct StructRNA RNA_GeometryNodeEdgePathsToSelection;
extern struct StructRNA RNA_GeometryNodeExtrudeMesh;
extern struct StructRNA RNA_GeometryNodeFieldAtIndex;
extern struct StructRNA RNA_GeometryNodeFillCurve;
extern struct StructRNA RNA_GeometryNodeFilletCurve;
extern struct StructRNA RNA_GeometryNodeFlipFaces;
extern struct StructRNA RNA_GeometryNodeGeometryToInstance;
extern struct StructRNA RNA_GeometryNodeImageTexture;
extern struct StructRNA RNA_GeometryNodeInputCurveHandlePositions;
extern struct StructRNA RNA_GeometryNodeInputCurveTilt;
extern struct StructRNA RNA_GeometryNodeInputID;
extern struct StructRNA RNA_GeometryNodeInputIndex;
extern struct StructRNA RNA_GeometryNodeInputInstanceRotation;
extern struct StructRNA RNA_GeometryNodeInputInstanceScale;
extern struct StructRNA RNA_GeometryNodeInputMaterialIndex;
extern struct StructRNA RNA_GeometryNodeInputMaterial;
extern struct StructRNA RNA_GeometryNodeInputMeshEdgeAngle;
extern struct StructRNA RNA_GeometryNodeInputMeshEdgeNeighbors;
extern struct StructRNA RNA_GeometryNodeInputMeshEdgeVertices;
extern struct StructRNA RNA_GeometryNodeInputMeshFaceArea;
extern struct StructRNA RNA_GeometryNodeInputMeshFaceIsPlanar;
extern struct StructRNA RNA_GeometryNodeInputMeshFaceNeighbors;
extern struct StructRNA RNA_GeometryNodeInputMeshIsland;
extern struct StructRNA RNA_GeometryNodeInputMeshVertexNeighbors;
extern struct StructRNA RNA_GeometryNodeInputNamedAttribute;
extern struct StructRNA RNA_GeometryNodeInputNormal;
extern struct StructRNA RNA_GeometryNodeInputPosition;
extern struct StructRNA RNA_GeometryNodeInputRadius;
extern struct StructRNA RNA_GeometryNodeInputSceneTime;
extern struct StructRNA RNA_GeometryNodeInputShadeSmooth;
extern struct StructRNA RNA_GeometryNodeInputShortestEdgePaths;
extern struct StructRNA RNA_GeometryNodeInputSplineCyclic;
extern struct StructRNA RNA_GeometryNodeSplineLength;
extern struct StructRNA RNA_GeometryNodeInputSplineResolution;
extern struct StructRNA RNA_GeometryNodeInputTangent;
extern struct StructRNA RNA_GeometryNodeInstanceOnPoints;
extern struct StructRNA RNA_GeometryNodeInstancesToPoints;
extern struct StructRNA RNA_GeometryNodeFieldOnDomain;
extern struct StructRNA RNA_GeometryNodeIsViewport;
extern struct StructRNA RNA_GeometryNodeJoinGeometry;
extern struct StructRNA RNA_GeometryNodeMaterialSelection;
extern struct StructRNA RNA_GeometryNodeMergeByDistance;
extern struct StructRNA RNA_GeometryNodeMeshBoolean;
extern struct StructRNA RNA_GeometryNodeMeshFaceSetBoundaries;
extern struct StructRNA RNA_GeometryNodeMeshCircle;
extern struct StructRNA RNA_GeometryNodeMeshCone;
extern struct StructRNA RNA_GeometryNodeMeshCube;
extern struct StructRNA RNA_GeometryNodeMeshCylinder;
extern struct StructRNA RNA_GeometryNodeMeshGrid;
extern struct StructRNA RNA_GeometryNodeMeshIcoSphere;
extern struct StructRNA RNA_GeometryNodeMeshLine;
extern struct StructRNA RNA_GeometryNodeMeshUVSphere;
extern struct StructRNA RNA_GeometryNodeMeshToCurve;
extern struct StructRNA RNA_GeometryNodeMeshToPoints;
extern struct StructRNA RNA_GeometryNodeMeshToVolume;
extern struct StructRNA RNA_GeometryNodeCornersOfFace;
extern struct StructRNA RNA_GeometryNodeCornersOfVertex;
extern struct StructRNA RNA_GeometryNodeEdgesOfCorner;
extern struct StructRNA RNA_GeometryNodeEdgesOfVertex;
extern struct StructRNA RNA_GeometryNodeFaceOfCorner;
extern struct StructRNA RNA_GeometryNodeOffsetCornerInFace;
extern struct StructRNA RNA_GeometryNodeVertexOfCorner;
extern struct StructRNA RNA_GeometryNodeObjectInfo;
extern struct StructRNA RNA_GeometryNodeOffsetPointInCurve;
extern struct StructRNA RNA_GeometryNodePointsToVertices;
extern struct StructRNA RNA_GeometryNodePointsToVolume;
extern struct StructRNA RNA_GeometryNodePoints;
extern struct StructRNA RNA_GeometryNodeProximity;
extern struct StructRNA RNA_GeometryNodeRaycast;
extern struct StructRNA RNA_GeometryNodeRealizeInstances;
extern struct StructRNA RNA_GeometryNodeRemoveAttribute;
extern struct StructRNA RNA_GeometryNodeReplaceMaterial;
extern struct StructRNA RNA_GeometryNodeResampleCurve;
extern struct StructRNA RNA_GeometryNodeReverseCurve;
extern struct StructRNA RNA_GeometryNodeRotateInstances;
extern struct StructRNA RNA_GeometryNodeSampleCurve;
extern struct StructRNA RNA_GeometryNodeSampleIndex;
extern struct StructRNA RNA_GeometryNodeSampleNearestSurface;
extern struct StructRNA RNA_GeometryNodeSampleNearest;
extern struct StructRNA RNA_GeometryNodeSampleUVSurface;
extern struct StructRNA RNA_GeometryNodeScaleElements;
extern struct StructRNA RNA_GeometryNodeScaleInstances;
extern struct StructRNA RNA_GeometryNodeSeparateComponents;
extern struct StructRNA RNA_GeometryNodeSeparateGeometry;
extern struct StructRNA RNA_GeometryNodeSelfObject;
extern struct StructRNA RNA_GeometryNodeSetCurveHandlePositions;
extern struct StructRNA RNA_GeometryNodeSetCurveNormal;
extern struct StructRNA RNA_GeometryNodeSetCurveRadius;
extern struct StructRNA RNA_GeometryNodeSetCurveTilt;
extern struct StructRNA RNA_GeometryNodeSetID;
extern struct StructRNA RNA_GeometryNodeSetMaterialIndex;
extern struct StructRNA RNA_GeometryNodeSetMaterial;
extern struct StructRNA RNA_GeometryNodeSetPointRadius;
extern struct StructRNA RNA_GeometryNodeSetPosition;
extern struct StructRNA RNA_GeometryNodeSetShadeSmooth;
extern struct StructRNA RNA_GeometryNodeSetSplineCyclic;
extern struct StructRNA RNA_GeometryNodeSetSplineResolution;
extern struct StructRNA RNA_GeometryNodeSplitEdges;
extern struct StructRNA RNA_GeometryNodeStoreNamedAttribute;
extern struct StructRNA RNA_GeometryNodeStringJoin;
extern struct StructRNA RNA_GeometryNodeStringToCurves;
extern struct StructRNA RNA_GeometryNodeSubdivideCurve;
extern struct StructRNA RNA_GeometryNodeSubdivideMesh;
extern struct StructRNA RNA_GeometryNodeSubdivisionSurface;
extern struct StructRNA RNA_GeometryNodeSwitch;
extern struct StructRNA RNA_GeometryNodeTransform;
extern struct StructRNA RNA_GeometryNodeTranslateInstances;
extern struct StructRNA RNA_GeometryNodeTriangulate;
extern struct StructRNA RNA_GeometryNodeTrimCurve;
extern struct StructRNA RNA_GeometryNodeUVPackIslands;
extern struct StructRNA RNA_GeometryNodeUVUnwrap;
extern struct StructRNA RNA_GeometryNodeViewer;
extern struct StructRNA RNA_GeometryNodeVolumeCube;
extern struct StructRNA RNA_GeometryNodeVolumeToMesh;
extern struct StructRNA RNA_ShaderNodeGroup;
extern struct StructRNA RNA_CompositorNodeGroup;
extern struct StructRNA RNA_TextureNodeGroup;
extern struct StructRNA RNA_GeometryNodeGroup;
extern struct StructRNA RNA_ShaderNodeCustomGroup;
extern struct StructRNA RNA_CompositorNodeCustomGroup;
extern struct StructRNA RNA_NodeCustomGroup;
extern struct StructRNA RNA_GeometryNodeCustomGroup;
extern struct StructRNA RNA_NodeOutputFileSlotFile;
extern struct StructRNA RNA_NodeOutputFileSlotLayer;
extern struct StructRNA RNA_NodeInstanceHash;
extern struct StructRNA RNA_Object;
extern struct StructRNA RNA_ObjectModifiers;
extern struct StructRNA RNA_ObjectGpencilModifiers;
extern struct StructRNA RNA_ObjectShaderFx;
extern struct StructRNA RNA_ObjectConstraints;
extern struct StructRNA RNA_VertexGroups;
extern struct StructRNA RNA_FaceMaps;
extern struct StructRNA RNA_ParticleSystems;
extern struct StructRNA RNA_VertexGroup;
extern struct StructRNA RNA_FaceMap;
extern struct StructRNA RNA_MaterialSlot;
extern struct StructRNA RNA_ObjectDisplay;
extern struct StructRNA RNA_ObjectLineArt;
extern struct StructRNA RNA_PointCache;
extern struct StructRNA RNA_PointCaches;
extern struct StructRNA RNA_PointCacheItem;
extern struct StructRNA RNA_CollisionSettings;
extern struct StructRNA RNA_EffectorWeights;
extern struct StructRNA RNA_FieldSettings;
extern struct StructRNA RNA_SoftBodySettings;
extern struct StructRNA RNA_DepsgraphObjectInstance;
extern struct StructRNA RNA_DepsgraphUpdate;
extern struct StructRNA RNA_Depsgraph;
extern struct StructRNA RNA_PackedFile;
extern struct StructRNA RNA_PaletteColor;
extern struct StructRNA RNA_Palette;
extern struct StructRNA RNA_PaletteColors;
extern struct StructRNA RNA_ParticleTarget;
extern struct StructRNA RNA_SPHFluidSettings;
extern struct StructRNA RNA_ParticleHairKey;
extern struct StructRNA RNA_ParticleKey;
extern struct StructRNA RNA_ChildParticle;
extern struct StructRNA RNA_Particle;
extern struct StructRNA RNA_ParticleDupliWeight;
extern struct StructRNA RNA_ParticleSystem;
extern struct StructRNA RNA_ParticleSettingsTextureSlot;
extern struct StructRNA RNA_ParticleSettings;
extern struct StructRNA RNA_ParticleSettingsTextureSlots;
extern struct StructRNA RNA_Point;
extern struct StructRNA RNA_PointCloud;
extern struct StructRNA RNA_Pose;
extern struct StructRNA RNA_BoneGroups;
extern struct StructRNA RNA_PoseBone;
extern struct StructRNA RNA_PoseBoneConstraints;
extern struct StructRNA RNA_IKParam;
extern struct StructRNA RNA_Itasc;
extern struct StructRNA RNA_BoneGroup;
extern struct StructRNA RNA_CurveProfilePoint;
extern struct StructRNA RNA_CurveProfile;
extern struct StructRNA RNA_CurveProfilePoints;
extern struct StructRNA RNA_LightProbe;
extern struct StructRNA RNA_RenderEngine;
extern struct StructRNA RNA_RenderResult;
extern struct StructRNA RNA_RenderView;
extern struct StructRNA RNA_RenderLayer;
extern struct StructRNA RNA_RenderPasses;
extern struct StructRNA RNA_RenderPass;
extern struct StructRNA RNA_RigidBodyWorld;
extern struct StructRNA RNA_RigidBodyObject;
extern struct StructRNA RNA_RigidBodyConstraint;
extern struct StructRNA RNA_Scene;
extern struct StructRNA RNA_SceneObjects;
extern struct StructRNA RNA_KeyingSets;
extern struct StructRNA RNA_KeyingSetsAll;
extern struct StructRNA RNA_TimelineMarkers;
extern struct StructRNA RNA_ViewLayers;
extern struct StructRNA RNA_ToolSettings;
extern struct StructRNA RNA_GPencilInterpolateSettings;
extern struct StructRNA RNA_UnifiedPaintSettings;
extern struct StructRNA RNA_CurvePaintSettings;
extern struct StructRNA RNA_SequencerToolSettings;
extern struct StructRNA RNA_MeshStatVis;
extern struct StructRNA RNA_UnitSettings;
extern struct StructRNA RNA_Stereo3dFormat;
extern struct StructRNA RNA_ImageFormatSettings;
extern struct StructRNA RNA_TransformOrientation;
extern struct StructRNA RNA_TransformOrientationSlot;
extern struct StructRNA RNA_View3DCursor;
extern struct StructRNA RNA_SelectedUvElement;
extern struct StructRNA RNA_DisplaySafeAreas;
extern struct StructRNA RNA_SceneDisplay;
extern struct StructRNA RNA_SceneEEVEE;
extern struct StructRNA RNA_AOV;
extern struct StructRNA RNA_Lightgroup;
extern struct StructRNA RNA_ViewLayerEEVEE;
extern struct StructRNA RNA_SceneGpencil;
extern struct StructRNA RNA_FFmpegSettings;
extern struct StructRNA RNA_RenderSettings;
extern struct StructRNA RNA_RenderViews;
extern struct StructRNA RNA_BakeSettings;
extern struct StructRNA RNA_SceneRenderView;
extern struct StructRNA RNA_Screen;
extern struct StructRNA RNA_Area;
extern struct StructRNA RNA_AreaSpaces;
extern struct StructRNA RNA_Region;
extern struct StructRNA RNA_View2D;
extern struct StructRNA RNA_PaintCurve;
extern struct StructRNA RNA_PaintToolSlot;
extern struct StructRNA RNA_Paint;
extern struct StructRNA RNA_Sculpt;
extern struct StructRNA RNA_UvSculpt;
extern struct StructRNA RNA_GpPaint;
extern struct StructRNA RNA_GpVertexPaint;
extern struct StructRNA RNA_GpSculptPaint;
extern struct StructRNA RNA_GpWeightPaint;
extern struct StructRNA RNA_VertexPaint;
extern struct StructRNA RNA_PaintModeSettings;
extern struct StructRNA RNA_ImagePaint;
extern struct StructRNA RNA_ParticleEdit;
extern struct StructRNA RNA_ParticleBrush;
extern struct StructRNA RNA_GPencilSculptGuide;
extern struct StructRNA RNA_GPencilSculptSettings;
extern struct StructRNA RNA_CurvesSculpt;
extern struct StructRNA RNA_SequenceColorBalanceData;
extern struct StructRNA RNA_SequenceElement;
extern struct StructRNA RNA_SequenceProxy;
extern struct StructRNA RNA_SequenceColorBalance;
extern struct StructRNA RNA_SequenceCrop;
extern struct StructRNA RNA_SequenceTransform;
extern struct StructRNA RNA_Sequence;
extern struct StructRNA RNA_SequenceModifiers;
extern struct StructRNA RNA_SequenceEditor;
extern struct StructRNA RNA_SequencesTopLevel;
extern struct StructRNA RNA_SequenceTimelineChannel;
extern struct StructRNA RNA_ImageSequence;
extern struct StructRNA RNA_SequenceElements;
extern struct StructRNA RNA_MetaSequence;
extern struct StructRNA RNA_SequencesMeta;
extern struct StructRNA RNA_SceneSequence;
extern struct StructRNA RNA_MovieSequence;
extern struct StructRNA RNA_MovieClipSequence;
extern struct StructRNA RNA_MaskSequence;
extern struct StructRNA RNA_SoundSequence;
extern struct StructRNA RNA_EffectSequence;
extern struct StructRNA RNA_AddSequence;
extern struct StructRNA RNA_AdjustmentSequence;
extern struct StructRNA RNA_AlphaOverSequence;
extern struct StructRNA RNA_AlphaUnderSequence;
extern struct StructRNA RNA_ColorSequence;
extern struct StructRNA RNA_CrossSequence;
extern struct StructRNA RNA_GammaCrossSequence;
extern struct StructRNA RNA_GlowSequence;
extern struct StructRNA RNA_MulticamSequence;
extern struct StructRNA RNA_MultiplySequence;
extern struct StructRNA RNA_OverDropSequence;
extern struct StructRNA RNA_SpeedControlSequence;
extern struct StructRNA RNA_SubtractSequence;
extern struct StructRNA RNA_TransformSequence;
extern struct StructRNA RNA_WipeSequence;
extern struct StructRNA RNA_GaussianBlurSequence;
extern struct StructRNA RNA_TextSequence;
extern struct StructRNA RNA_ColorMixSequence;
extern struct StructRNA RNA_SequenceModifier;
extern struct StructRNA RNA_ColorBalanceModifier;
extern struct StructRNA RNA_CurvesModifier;
extern struct StructRNA RNA_HueCorrectModifier;
extern struct StructRNA RNA_BrightContrastModifier;
extern struct StructRNA RNA_WhiteBalanceModifier;
extern struct StructRNA RNA_SequencerTonemapModifierData;
extern struct StructRNA RNA_Simulation;
extern struct StructRNA RNA_Space;
extern struct StructRNA RNA_ViewerPathElem;
extern struct StructRNA RNA_IDViewerPathElem;
extern struct StructRNA RNA_ModifierViewerPathElem;
extern struct StructRNA RNA_NodeViewerPathElem;
extern struct StructRNA RNA_ViewerPath;
extern struct StructRNA RNA_SpaceImageEditor;
extern struct StructRNA RNA_SpaceUVEditor;
extern struct StructRNA RNA_SpaceImageOverlay;
extern struct StructRNA RNA_SpaceSequenceEditor;
extern struct StructRNA RNA_SequencerPreviewOverlay;
extern struct StructRNA RNA_SequencerTimelineOverlay;
extern struct StructRNA RNA_SpaceTextEditor;
extern struct StructRNA RNA_FileSelectEntry;
extern struct StructRNA RNA_FileSelectParams;
extern struct StructRNA RNA_FileAssetSelectParams;
extern struct StructRNA RNA_FileSelectIDFilter;
extern struct StructRNA RNA_FileAssetSelectIDFilter;
extern struct StructRNA RNA_FileBrowserFSMenuEntry;
extern struct StructRNA RNA_SpaceFileBrowser;
extern struct StructRNA RNA_SpaceOutliner;
extern struct StructRNA RNA_SpaceView3D;
extern struct StructRNA RNA_View3DShading;
extern struct StructRNA RNA_View3DOverlay;
extern struct StructRNA RNA_RegionView3D;
extern struct StructRNA RNA_SpaceProperties;
extern struct StructRNA RNA_SpaceDopeSheetEditor;
extern struct StructRNA RNA_SpaceGraphEditor;
extern struct StructRNA RNA_SpaceNLA;
extern struct StructRNA RNA_SpaceConsole;
extern struct StructRNA RNA_ConsoleLine;
extern struct StructRNA RNA_SpaceInfo;
extern struct StructRNA RNA_SpacePreferences;
extern struct StructRNA RNA_NodeTreePath;
extern struct StructRNA RNA_SpaceNodeEditor;
extern struct StructRNA RNA_SpaceNodeEditorPath;
extern struct StructRNA RNA_SpaceNodeOverlay;
extern struct StructRNA RNA_SpaceClipEditor;
extern struct StructRNA RNA_SpaceSpreadsheet;
extern struct StructRNA RNA_SpreadsheetColumn;
extern struct StructRNA RNA_SpreadsheetColumnID;
extern struct StructRNA RNA_SpreadsheetRowFilter;
extern struct StructRNA RNA_Speaker;
extern struct StructRNA RNA_TextLine;
extern struct StructRNA RNA_Text;
extern struct StructRNA RNA_TimelineMarker;
extern struct StructRNA RNA_Sound;
extern struct StructRNA RNA_UILayout;
extern struct StructRNA RNA_Panel;
extern struct StructRNA RNA_UIList;
extern struct StructRNA RNA_Header;
extern struct StructRNA RNA_Menu;
extern struct StructRNA RNA_ThemeFontStyle;
extern struct StructRNA RNA_ThemeStyle;
extern struct StructRNA RNA_ThemeWidgetColors;
extern struct StructRNA RNA_ThemeWidgetStateColors;
extern struct StructRNA RNA_ThemePanelColors;
extern struct StructRNA RNA_ThemeGradientColors;
extern struct StructRNA RNA_ThemeUserInterface;
extern struct StructRNA RNA_ThemeSpaceGeneric;
extern struct StructRNA RNA_ThemeSpaceGradient;
extern struct StructRNA RNA_ThemeSpaceListGeneric;
extern struct StructRNA RNA_ThemeView3D;
extern struct StructRNA RNA_ThemeGraphEditor;
extern struct StructRNA RNA_ThemeFileBrowser;
extern struct StructRNA RNA_ThemeNLAEditor;
extern struct StructRNA RNA_ThemeDopeSheet;
extern struct StructRNA RNA_ThemeImageEditor;
extern struct StructRNA RNA_ThemeSequenceEditor;
extern struct StructRNA RNA_ThemeProperties;
extern struct StructRNA RNA_ThemeTextEditor;
extern struct StructRNA RNA_ThemeNodeEditor;
extern struct StructRNA RNA_ThemeOutliner;
extern struct StructRNA RNA_ThemeInfo;
extern struct StructRNA RNA_ThemePreferences;
extern struct StructRNA RNA_ThemeConsole;
extern struct StructRNA RNA_ThemeClipEditor;
extern struct StructRNA RNA_ThemeTopBar;
extern struct StructRNA RNA_ThemeStatusBar;
extern struct StructRNA RNA_ThemeSpreadsheet;
extern struct StructRNA RNA_ThemeBoneColorSet;
extern struct StructRNA RNA_ThemeCollectionColor;
extern struct StructRNA RNA_ThemeStripColor;
extern struct StructRNA RNA_Theme;
extern struct StructRNA RNA_UserSolidLight;
extern struct StructRNA RNA_WalkNavigation;
extern struct StructRNA RNA_Preferences;
extern struct StructRNA RNA_Addons;
extern struct StructRNA RNA_PathCompareCollection;
extern struct StructRNA RNA_PreferencesView;
extern struct StructRNA RNA_PreferencesEdit;
extern struct StructRNA RNA_PreferencesInput;
extern struct StructRNA RNA_PreferencesKeymap;
extern struct StructRNA RNA_PreferencesFilePaths;
extern struct StructRNA RNA_UserAssetLibrary;
extern struct StructRNA RNA_PreferencesSystem;
extern struct StructRNA RNA_Addon;
extern struct StructRNA RNA_AddonPreferences;
extern struct StructRNA RNA_StudioLights;
extern struct StructRNA RNA_StudioLight;
extern struct StructRNA RNA_PathCompare;
extern struct StructRNA RNA_PreferencesApps;
extern struct StructRNA RNA_PreferencesExperimental;
extern struct StructRNA RNA_VectorFont;
extern struct StructRNA RNA_VolumeGrid;
extern struct StructRNA RNA_VolumeDisplay;
extern struct StructRNA RNA_VolumeRender;
extern struct StructRNA RNA_Volume;
extern struct StructRNA RNA_VolumeGrids;
extern struct StructRNA RNA_Operator;
extern struct StructRNA RNA_OperatorProperties;
extern struct StructRNA RNA_OperatorOptions;
extern struct StructRNA RNA_OperatorMousePath;
extern struct StructRNA RNA_OperatorFileListElement;
extern struct StructRNA RNA_Macro;
extern struct StructRNA RNA_OperatorMacro;
extern struct StructRNA RNA_Event;
extern struct StructRNA RNA_Timer;
extern struct StructRNA RNA_UIPopupMenu;
extern struct StructRNA RNA_UIPopover;
extern struct StructRNA RNA_UIPieMenu;
extern struct StructRNA RNA_Window;
extern struct StructRNA RNA_Stereo3dDisplay;
extern struct StructRNA RNA_WindowManager;
extern struct StructRNA RNA_KeyConfigurations;
extern struct StructRNA RNA_KeyConfigPreferences;
extern struct StructRNA RNA_KeyConfig;
extern struct StructRNA RNA_KeyMaps;
extern struct StructRNA RNA_KeyMap;
extern struct StructRNA RNA_KeyMapItems;
extern struct StructRNA RNA_KeyMapItem;
extern struct StructRNA RNA_GizmoGroup;
extern struct StructRNA RNA_Gizmo;
extern struct StructRNA RNA_GizmoProperties;
extern struct StructRNA RNA_Gizmos;
extern struct StructRNA RNA_GizmoGroupProperties;
extern struct StructRNA RNA_wmOwnerID;
extern struct StructRNA RNA_WorkSpaceTool;
extern struct StructRNA RNA_WorkSpace;
extern struct StructRNA RNA_wmOwnerIDs;
extern struct StructRNA RNA_wmTools;
extern struct StructRNA RNA_World;
extern struct StructRNA RNA_WorldLighting;
extern struct StructRNA RNA_WorldMistSettings;
extern struct StructRNA RNA_MovieClip;
extern struct StructRNA RNA_MovieClipProxy;
extern struct StructRNA RNA_MovieClipUser;
extern struct StructRNA RNA_MovieClipScopes;
extern struct StructRNA RNA_MovieTrackingSettings;
extern struct StructRNA RNA_MovieTrackingCamera;
extern struct StructRNA RNA_MovieTrackingMarker;
extern struct StructRNA RNA_MovieTrackingTrack;
extern struct StructRNA RNA_MovieTrackingMarkers;
extern struct StructRNA RNA_MovieTrackingPlaneMarker;
extern struct StructRNA RNA_MovieTrackingPlaneTrack;
extern struct StructRNA RNA_MovieTrackingPlaneMarkers;
extern struct StructRNA RNA_MovieTrackingTracks;
extern struct StructRNA RNA_MovieTrackingPlaneTracks;
extern struct StructRNA RNA_MovieTrackingObjectTracks;
extern struct StructRNA RNA_MovieTrackingObjectPlaneTracks;
extern struct StructRNA RNA_MovieTrackingStabilization;
extern struct StructRNA RNA_MovieTrackingReconstructedCameras;
extern struct StructRNA RNA_MovieReconstructedCamera;
extern struct StructRNA RNA_MovieTrackingReconstruction;
extern struct StructRNA RNA_MovieTrackingObject;
extern struct StructRNA RNA_MovieTrackingDopesheet;
extern struct StructRNA RNA_MovieTracking;
extern struct StructRNA RNA_MovieTrackingObjects;
extern struct StructRNA RNA_MaskParent;
extern struct StructRNA RNA_MaskSplinePointUW;
extern struct StructRNA RNA_MaskSplinePoint;
extern struct StructRNA RNA_MaskSpline;
extern struct StructRNA RNA_MaskSplines;
extern struct StructRNA RNA_MaskSplinePoints;
extern struct StructRNA RNA_MaskLayer;
extern struct StructRNA RNA_Mask;
extern struct StructRNA RNA_MaskLayers;
extern struct StructRNA RNA_XrActionMap;
extern struct StructRNA RNA_XrActionMapItems;
extern struct StructRNA RNA_XrUserPath;
extern struct StructRNA RNA_XrActionMapItem;
extern struct StructRNA RNA_XrUserPaths;
extern struct StructRNA RNA_XrActionMapBindings;
extern struct StructRNA RNA_XrComponentPath;
extern struct StructRNA RNA_XrActionMapBinding;
extern struct StructRNA RNA_XrComponentPaths;
extern struct StructRNA RNA_XrSessionSettings;
extern struct StructRNA RNA_XrSessionState;
extern struct StructRNA RNA_XrActionMaps;
extern struct StructRNA RNA_XrEventData;

